Bug 1288100 - Review Request: console-image-viewer - Terminal image viewer
Review Request: console-image-viewer - Terminal image viewer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 09:08 EST by jiri vanek
Modified: 2015-12-17 03:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 02:32:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
omajid: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description jiri vanek 2015-12-03 09:08:11 EST
Spec URL: https://jvanek.fedorapeople.org/ConsoleImageViewer/v1/ConsoleImageViewer.spec
SRPM URL: https://jvanek.fedorapeople.org/ConsoleImageViewer/v1/ConsoleImageViewer-1.2-1.src.rpm
Description: Highly scale-able, high quality, image viewer for ANSI terminals
Fedora Account System Username: jvanek
RPM: https://jvanek.fedorapeople.org/ConsoleImageViewer/v1/ConsoleImageViewer-1.2-1.noarch.rpm
Comment 1 Omair Majid 2015-12-03 17:00:31 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Missing Requires on jpackage-utils.
- Missing Dist tag.
- The actual license seems to be "MIT" instead of "BSD". Fix the
  license field.
- Package name should be in lower case.
- Deletion of class files and jars should be in %prep, not %build.

Optional:
- Include a LICENSE file upstream and package it.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 6 files have
     unknown license. Detailed output of licensecheck in
     /home/omajid/temp/1288100-ConsoleImageViewer/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[!]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ConsoleImageViewer-1.2-1.noarch.rpm
          ConsoleImageViewer-1.2-1.src.rpm
ConsoleImageViewer.noarch: W: no-documentation
ConsoleImageViewer.noarch: W: no-manual-page-for-binary consoleImageViewer
ConsoleImageViewer.src:22: W: setup-not-quiet
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ConsoleImageViewer.noarch: W: no-documentation
ConsoleImageViewer.noarch: W: no-manual-page-for-binary consoleImageViewer
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
ConsoleImageViewer (rpmlib, GLIBC filtered):
    /bin/bash
    java-headless



Provides
--------
ConsoleImageViewer:
    ConsoleImageViewer



Source checksums
----------------
https://github.com/judovana/ConsoleImageViewer/archive/ConsoleImageViewer-1.2.tar.gz :
  CHECKSUM(SHA256) this package     : ee8a1075c8d8ee297ecfe146e88cb96f36e77fa73d2cb82193c90a1c12c65d61
  CHECKSUM(SHA256) upstream package : ee8a1075c8d8ee297ecfe146e88cb96f36e77fa73d2cb82193c90a1c12c65d61


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1288100
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 jiri vanek 2015-12-04 05:36:05 EST
Hi Omair!

Thank you fro review!
(In reply to Omair Majid from comment #1)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> 
> 
> Issues:
> =======
> - Missing Requires on jpackage-utils.

You mean javapackages-tools, right?
javapackages-tools added.  TY!

> - Missing Dist tag.

fixed

> - The actual license seems to be "MIT" instead of "BSD". Fix the
>   license field.

Hmm.. are you sure? Well.. You know them better. Fixed.

> - Package name should be in lower case.
renamed

> - Deletion of class files and jars should be in %prep, not %build.
fixed

> 
> Optional:
> - Include a LICENSE file upstream and package it.

Not followed for now. As it is one class project, The license in header looks ok for now. Sorry.


> [!]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).

I'm not able to silence the setup output.I think it is caused by way ho github is packing releases. But I added man page at least...
Comment 5 Gwyn Ciesla 2015-12-04 09:32:24 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/ConsoleImageViewer
Comment 6 jiri vanek 2015-12-04 09:56:01 EST
(In reply to Jon Ciesla from comment #5)
> Package request has been approved:
> https://admin.fedoraproject.org/pkgdb/package/ConsoleImageViewer

Hi John!

There was an error (on my side)

The package should be  console-image-viewer
I already requested new one[1]. Please, can you delete the empty wrong one of ConsoleImageViewer?

thank you, and I'm very sorry.

2015-12-04 14:19:33 	jvanek 	ConsoleImageViewer 	request.package 	master 	Approved 	Details
2015-12-04 14:19:33 	jvanek 	ConsoleImageViewer 	request.package 	f23 	Approved 	Details
2015-12-04 14:19:33 	jvanek 	ConsoleImageViewer 	request.package 	f22 	Approved 	Details
2015-12-04 14:51:36 	jvanek 	console-image-viewer 	request.package 	master 	Awaiting Review 	Update
2015-12-04 14:51:36 	jvanek 	console-image-viewer 	request.package 	f23 	Awaiting Review 	Update
2015-12-04 14:51:36 	jvanek 	console-image-viewer 	request.package 	f22 	Awaiting Review 	Update
Comment 7 Gwyn Ciesla 2015-12-04 12:02:02 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/console-image-viewer
Comment 8 Fedora Update System 2015-12-05 02:49:51 EST
console-image-viewer-1.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-11f979ec71
Comment 9 Fedora Update System 2015-12-05 02:50:32 EST
console-image-viewer-1.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cb16dbf919
Comment 10 Fedora Update System 2015-12-06 00:22:17 EST
console-image-viewer-1.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update console-image-viewer'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cb16dbf919
Comment 11 Fedora Update System 2015-12-06 12:20:52 EST
console-image-viewer-1.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update console-image-viewer'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-11f979ec71
Comment 12 Fedora Update System 2015-12-17 02:32:29 EST
console-image-viewer-1.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-12-17 03:52:59 EST
console-image-viewer-1.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.